| Home | Libraries | People | FAQ | More

###### string::string (6 of 12 overloads)

Constructor.

###### Synopsis

    string(
        char const* s,
        std::size_t count,
        storage_ptr sp = {});

###### Description

Construct the contents with copies of the characters in the range `{s, s+count)`. This range can contain null characters.

###### Complexity

Linear in `count`.

###### Exception Safety

Strong guarantee. Calls to `memory_resource::allocate` may throw.

###### Parameters

Name | Description
--- | ---
`count` | The number of characters to copy.
`s` | A pointer to a character string used to copy from.
`sp` | An optional pointer to the `memory_resource` to use. The container will acquire shared ownership of the memory resource. The default argument for this parameter is `{}`.

###### Exceptions

Type | Thrown On
--- | ---
`system_error` | `count > max_size()`.